# Method: projects.locations.vpnConnections.create

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections/create#try-it)

Creates a new VPN connection in a given project and location.

### HTTP request

`POST https://edgecontainer.googleapis.com/v1/{parent=projects/*/locations/*}/vpnConnections`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent location where this vpn connection will be created. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `edgecontainer.vpnConnections.create` |

### Query parameters

| Parameters ||
|---|---|
| `vpnConnectionId` | `string` Required. The VPN connection identifier. |
| `requestId` | `string` A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is only idempotent if `requestId` is provided. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.12.0/docs/reference/container/rest/v1/projects.locations.vpnConnections#VpnConnection`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.12.0/docs/reference/container/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).